/*
 * This file is part of essential.
 *
 *     essential is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     essential is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with essential.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.craftforge.essential.core;

import net.craftforge.commons.configuration.PropertiesHolder;

/**
 * A configuration for the framework's core module.
 *
 * @author Christian Bick
 * @since 25.10.11
 */
public class CoreConfiguration extends PropertiesHolder {

    /**
     * The default configuration file
     */
    public static final String DEFAULT_CONFIG_FILE = "essential-core.properties";

    /**
     * Initializes a configuration using the default configuration file.
     */
    public CoreConfiguration() {
        this(DEFAULT_CONFIG_FILE);
    }

    /**
     * Initializes a configuration using the given configuration file.
     *
     * @param configFile The configuration file
     */
    public CoreConfiguration(String configFile) {
        super("/" + configFile);
    }


}
