/*
 * This file is part of essential.
 *
 *     essential is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     essential is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with essential.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.craftforge.essential.core.resolvers;

import net.craftforge.commons.collections.CaseInsensitiveMap;

import java.util.Map;

/**
 * A header map holds HTTP headers with the the header names
 * as keys and the header values as an array of strings.
 *
 * @author Christian Bick
 * @since 15.01.12
 */
public class HeaderMap extends CaseInsensitiveMap<String[]> {

    public HeaderMap() {
    }

    public HeaderMap(int initialCapacity) {
        super(initialCapacity);
    }

    public HeaderMap(int initialCapacity, float loadFactor) {
        super(initialCapacity, loadFactor);
    }

    public HeaderMap(Map<? extends String, ? extends String[]> m) {
        super(m);
    }
}
