/*
 * This file is part of essential.
 *
 *     essential is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     essential is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with essential.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.craftforge.essential.core.resolvers;

import java.util.Map;

/**
 * A query parameter map holds HTTP query parameters with the
 * the parameter names as keys and the parameter values as an
 * array of strings.
 *
 * @author Christian Bick
 * @since 17.01.12
 */
public class QueryParamMap extends ParamMap {

    public QueryParamMap() {
    }

    public QueryParamMap(int initialCapacity) {
        super(initialCapacity);
    }

    public QueryParamMap(int initialCapacity, float loadFactor) {
        super(initialCapacity, loadFactor);
    }

    public QueryParamMap(Map<? extends String, ? extends String[]> m) {
        super(m);
    }
}
