/*
 * This file is part of essential.
 *
 *     essential is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     essential is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with essential.  If not, see <http://www.gnu.org/licenses/>.
 */


package net.craftforge.essential.supply;

import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import static java.lang.annotation.ElementType.TYPE;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

/**
 * Indicates the media type(s) being produced by the annotated producer.
 *
 * @author Christian Bick
 * @since 27.02.2011
 */
@Retention(value=RUNTIME)
@Target( { TYPE })
public @interface Produces {

    /**
     * The supported media type(s) (e.g. "text/xml", "application/xml").
     *
     * @return The media type(s) as array
     */
    String[] value();
}
